
version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_java
    restart: always
    ports:
      - "2233:22"  # SSH
      - "8092:8080"  # tomcat
      - "4446:443"   # https
      - "33064:3306" #mariadb
    network_mode: bridge
    volumes:
      - dbdata:/var/lib/mysql
      - dbconfig:/etc/mysql
      - wasconfig:/usr/local/tomcat/conf
      - data:/data #java팀 전용
      - wardata:/usr/local/tomcat/webapps #default tomcat 경로 사용시
      - ./ssl/:/usr/local/tomcat/ssl #ssl 파일경로
volumes:
    dbdata:
      external: true
    dbconfig:
      external: true 
    wasconfig:
      external: true
    data:
      external: true
    wardata:
      external: true
